Skip to main content
GET
Get an Agent summary

Authorizations

Authorization
string
header
required

Bearer JWT token or API Key (sk-*).

Path Parameters

agentId
string
required

Response

200 - application/json
activeRunCount
number
required

Number of active root runs.

Example:

1

queuedInboxCount
number
required

Number of PENDING inbox items.

Example:

3

attachedPluginCount
number
required

Number of attached registry or inline plugin references.

Example:

2

totalRunCount
number
required

Total run count for this agent.

Example:

14

failedRunCount
number
required

ERROR run count for this agent.

Example:

2

blockedRunCount
number
required

ACTION_REQUIRED run count for this agent.

Example:

1

tokenUsage
object
required

Token usage aggregated from provider-bearing assistant messages linked to this agent.

Example:
tokenUsageByModel
object[]
required

All-time provider usage grouped by the model persisted on each assistant message.

Example:
tokenUsageSeries
object[]
required

Daily token usage for the most recent 30 UTC days.

Example:
taskActivitySeries
object[]
required

Daily root-run activity for the most recent 30 UTC days.

Example:
lastRun
object

Most recent run.

Example:
lastFailure
object

Most recent failed run.

Example:
lastBlocked
object

Most recent action-required run.

Example:
Last modified on September 5, 2026